Get the list of subscriptions Experimental

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
GET /rest/ws/webhooks/v1/subscriptions

Retrieves a subscription list related to user's enterprise and belongs to his organizational unit.

Responses

  • 200 application/json

    Subscription's list successfully retrieved

    Hide response attributes Show response attributes object
    • id string Required

      the id of the subscription

    • status string Required

      The status of the subscription.

      Values are active or inactive.

    • callback object Required
      Hide callback attributes Show callback attributes object
      • url string(uri) Required

        The callback endpoint to receive the webhook notifications.

        Maximum length is 2000.

      • secret string

        The secret that will be included in the callback to verify authenticity.

        Maximum length is 512.

      • headers array[object]

        Custom headers that will be included in the callback request.

        Hide headers attributes Show headers attributes object
        • name string Required

          The name of the custom header to send in the callback. Must follow the pattern 'x-pxo-{custom_name}'. It is required if a header object is present in the headers array. The header name must be unique in the list.

          Maximum length is 40. Format should match the following pattern: x-pxo-{custom_header_name}.

        • value string

          The value of the custom header to send with the callback.

          Maximum length is 512.

    • eventTypes object Required
      Hide eventTypes attribute Show eventTypes attribute object
      • name string Required

        The type of event to subscribe to. For example workorder.validation (sent when a work order is validated, which often triggers the invoicing process in the customer ERP/CRM).

        Values are workorder.validation, workorder.deletion, or asset.upsert.

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

GET /rest/ws/webhooks/v1/subscriptions
curl \
 --request GET 'https://ws-eu1.praxedo.com/rest/ws/webhooks/v1/subscriptions' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "subscriptions": [
    {
      "id": "1",
      "status": "ACTIVE",
      "callback": {
        "url": "https://callback.example.com/webhooks",
        "secret": "z0nstsmkmrvve4nzc26pu3ky80zsdorlh",
        "headers": [
          {
            "name": "x-pxo-custom_header_name_1",
            "value": "value of the custom header 1"
          },
          {
            "name": "x-pxo-custom_header_name_2",
            "value": "value of the custom header 2"
          }
        ]
      },
      "eventTypes": [
        {
          "name": "workorder.validation"
        },
        {
          "name": "workorder.deletion"
        },
        {
          "name": "asset.upsert"
        }
      ]
    },
    {
      "id": "2",
      "status": "INACTIVE",
      "callback": {
        "url": "https://callback.example.com/webhooks",
        "headers": []
      },
      "eventTypes": [
        {
          "name": "workorder.deletion"
        }
      ]
    }
  ]
}
{
  "subscriptions": []
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}